| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | List of all members
HistogramAgent Class Referencefinal

HistogramAgent base in charge of collecting all the references to DataObjects in a transient store that passes some selection criteria. More...

`#include <GaudiKernel/HistogramAgent.h>`

Inheritance diagram for HistogramAgent:
[legend]
Collaboration diagram for HistogramAgent:
[legend]

## Public Member Functions
const IDataSelector & | selectedObjects () const
| Return the set of selected DataObjects. More...
bool | analyse (IRegistry *pRegistry, int) override
| Analyses a given directory entry. More...
Public Member Functions inherited from IDataStoreAgent
virtual | ~IDataStoreAgent ()=default
| destructor More...

## Private Attributes
IDataSelector | m_objects

## Detailed Description

HistogramAgent base in charge of collecting all the references to DataObjects in a transient store that passes some selection criteria.

The default behaviour is to collect all entries.

Author
  Markus Frank

Definition at line 18 of file HistogramAgent.h.

## Member Function Documentation

## ◆ analyse()

bool HistogramAgent::analyse | ( | IRegistry * | pRegistry,
|  | int |
| ) |  |
| inline override virtual

Analyses a given directory entry.

Implements IDataStoreAgent.

Definition at line 25 of file HistogramAgent.h.

25 {
26 DataObject* obj = pRegistry->object();
27 if ( obj && obj->clID() != CLID_StatisticsFile ) {
28 m_objects.push_back( obj );
29 return true;
30 }
31 return false;
32 }
std::vector::push_back
T push_back(T... args)
IRegistry::object
virtual DataObject * object() const =0
Retrieve object behind the link.
HistogramAgent::m_objects
IDataSelector m_objects
Definition: HistogramAgent.h:19
DataObject::clID
virtual const CLID & clID() const
Retrieve reference to class definition structure.
Definition: DataObject.cpp:56
DataObject
A DataObject is the base class of any identifiable object on any data store.
Definition: DataObject.h:30

## ◆ selectedObjects()

const IDataSelector& HistogramAgent::selectedObjects | ( |  | ) | const
| inline

Return the set of selected DataObjects.

Definition at line 23 of file HistogramAgent.h.

23 { return m_objects; }
HistogramAgent::m_objects
IDataSelector m_objects
Definition: HistogramAgent.h:19

## Member Data Documentation

## ◆ m_objects

IDataSelector HistogramAgent::m_objects
| private

Definition at line 19 of file HistogramAgent.h.

The documentation for this class was generated from the following file:

- GaudiHive/src/HistogramAgent.h